Bug 974008 - Review Request: jboss-transaction-1.2-api - Transaction 1.2 API
Review Request: jboss-transaction-1.2-api - Transaction 1.2 API
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 05:30 EDT by Marek Goldmann
Modified: 2013-06-14 02:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-14 02:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Björn "besser82" Esser 2013-06-13 05:39:15 EDT
build runs fine, but I'm not sure about this in build.log:

[INFO] Scanning for projects...
[WARNING] 
[WARNING] Some problems were encountered while building the effective model for org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec:jar:1.0.0.Alpha3
[WARNING] 'build.plugins.plugin.version' for org.apache.felix:maven-bundle-plugin is missing. @ line 78, column 15
[WARNING] 
[WARNING] It is highly recommended to fix these problems because they threaten the stability of your build.
[WARNING] 
[WARNING] For this reason, future Maven versions might no longer support building such malformed projects.

Maybe a missing BR?
Comment 2 Björn "besser82" Esser 2013-06-13 05:40:51 EDT
Sorry Gil, didn't want to kick you out of this... Just forgot to refresh...
Do you want to finish, or shall I?
Comment 3 gil cattaneo 2013-06-13 05:54:43 EDT
hi i alredy finish with the review.
ok for me if you want take this review.

the warning which you have reported is caused by missing bundle plugin version
usually i removed this warning, adding a fake version at the plugin with:

%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-bundle-plugin']" "
<version>any</version>"

but if this warning not disturb the packager can leave it as is
regards
Comment 4 Marek Goldmann 2013-06-13 05:56:32 EDT
Bjoern, you can take for example this one: https://bugzilla.redhat.com/show_bug.cgi?id=970651 and leave this to Gil, WDYT?
Comment 5 Björn "besser82" Esser 2013-06-13 06:07:53 EDT
(In reply to gil cattaneo from comment #3)
> hi i alredy finish with the review.
> ok for me if you want take this review.
> 
> the warning which you have reported is caused by missing bundle plugin
> version
> usually i removed this warning, adding a fake version at the plugin with:
> 
> %pom_xpath_inject
> "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-bundle-plugin']" "
> <version>any</version>"
> 
> but if this warning not disturb the packager can leave it as is
> regards

Allright. You just finished review and testing, so finish this bug.

(In reply to Marek Goldmann from comment #4)
> Bjoern, you can take for example this one:
> https://bugzilla.redhat.com/show_bug.cgi?id=970651 and leave this to Gil,
> WDYT?

OK. I'll take it. I just started running f-r when you reported the bug and set flag, status, assignee and hit "change", when posting build.log snipplet. Bugzilla did not complain about collision and just overwrote Gil...
Comment 6 gil cattaneo 2013-06-13 06:11:22 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jboss-
     transaction-1.2-api-javadoc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 21 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Dist tag is present.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jboss-transaction-1.2-api-1.0.0-0.1.Alpha3.fc20.noarch.rpm
          jboss-transaction-1.2-api-javadoc-1.0.0-0.1.Alpha3.fc20.noarch.rpm
jboss-transaction-1.2-api.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-transaction-1.2-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-transaction-1.2-api-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jboss-transaction-1.2-api jboss-transaction-1.2-api-javadoc
jboss-transaction-1.2-api.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-transaction-1.2-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-transaction-1.2-api-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
jboss-transaction-1.2-api (rpmlib, GLIBC filtered):
    jpackage-utils

jboss-transaction-1.2-api-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jboss-transaction-1.2-api:
    jboss-transaction-1.2-api
    mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)
    osgi(org.jboss.spec.javax.transaction.jboss-transaction-api_1.2_spec)

jboss-transaction-1.2-api-javadoc:
    jboss-transaction-1.2-api-javadoc



Source checksums
----------------
https://github.com/jboss/jboss-transaction-api_spec/archive/jboss-transaction-api_1.2_spec-1.0.0.Alpha3.tar.gz :
  CHECKSUM(SHA256) this package     : 86ced76a0a91b480ca745b96df42480e233c28e824bfbbf2b796d9779b178770
  CHECKSUM(SHA256) upstream package : 86ced76a0a91b480ca745b96df42480e233c28e824bfbbf2b796d9779b178770


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -b 974008 -m fedora-rawhide-i386

approved
Comment 7 Marek Goldmann 2013-06-13 06:16:04 EDT
Gil, could you please change the fedora-review flag to + if you approved this package?
Comment 8 gil cattaneo 2013-06-13 06:17:45 EDT
yes sure ... sorry
Comment 9 Marek Goldmann 2013-06-13 06:22:25 EDT
Thank you for the review!

New Package SCM Request
=======================
Package Name: jboss-transaction-1.2-api
Short Description: Transaction 1.2 API
Owners: goldmann
Comment 10 Gwyn Ciesla 2013-06-13 08:14:12 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.